Mail archive
alpine-aports

[alpine-aports] [PATCH] main/freetype: new upstream version 2.6.2

From: Christian Kampka <christian_at_kampka.net>
Date: Sun, 29 Nov 2015 09:36:47 +0100

---
 main/freetype/APKBUILD | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)
diff --git a/main/freetype/APKBUILD b/main/freetype/APKBUILD
index cb956e0..b283c23 100644
--- a/main/freetype/APKBUILD
+++ b/main/freetype/APKBUILD
_at_@ -1,8 +1,8 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=freetype
-pkgver=2.6
-pkgrel=4
+pkgver=2.6.2
+pkgrel=0
 pkgdesc="TrueType font rendering library"
 url="http://freetype.sourceforge.net"
 arch="all"
_at_@ -12,7 +12,7 @@ depends_dev="libpng-dev"
 makedepends="$depends_dev zlib-dev"
 subpackages="$pkgname-dev $pkgname-doc"
 # fontconfig-ultimate https://github.com/bohoomil/fontconfig-ultimate
-_ultver="2015-08-01"
+_ultver="2015-11-28"
 source="http://download.savannah.gnu.org/releases/freetype/freetype-$pkgver.tar.bz2
 	fontconfig-ultimate-$_ultver.tar.gz::https://github.com/bohoomil/fontconfig-ultimate/archive/$_ultver.tar.gz
 	40-memcpy-fix.patch"
_at_@ -21,10 +21,10 @@ _builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
 	cd "$_builddir"
-        for i in "$srcdir"/*.patch; do
-                msg "Applying ${i}"
-                patch -p0 -i $i || return 1
-        done
+	for i in "$srcdir"/*.patch; do
+		msg "Applying ${i}"
+		patch -p0 -i $i || return 1
+	done
 	# apply infinality
 	for j in "$srcdir"/fontconfig-ultimate-$_ultver/$pkgname/*.patch; do
 		msg "Applying ${j}"
_at_@ -61,12 +61,12 @@ package() {
 		"$pkgdir"/etc/X11/xinit/xinitrc.d/infinality-settings.sh || return 1
 }
 
-md5sums="5682890cb0267f6671dd3de6eabd3e69  freetype-2.6.tar.bz2
-1e7dde1ca1d3655cb537b8d928fc312a  fontconfig-ultimate-2015-08-01.tar.gz
+md5sums="86109d0c998787d81ac582bad9adf82e  freetype-2.6.2.tar.bz2
+5daf5ab6809d694d521c2763cd932274  fontconfig-ultimate-2015-11-28.tar.gz
 bd2d808a0c00dcf9f1d1c0a9a8227ad9  40-memcpy-fix.patch"
-sha256sums="8469fb8124764f85029cc8247c31e132a2c5e51084ddce2a44ea32ee4ae8347e  freetype-2.6.tar.bz2
-19b3eac37f589a651e90507680c80e19bcb2ed4e3e6c63da7ca3c6e22bb209e9  fontconfig-ultimate-2015-08-01.tar.gz
+sha256sums="baf6bdef7cdcc12ac270583f76ef245efe936267dbecef835f02a3409fcbb892  freetype-2.6.2.tar.bz2
+04088390737aa4d6ec867903293fe4e50852c5d2d8cec6ec9d5143e54e45a207  fontconfig-ultimate-2015-11-28.tar.gz
 574c265c7a7032c5afb32a9807e5d04354ad0def656194cfcfff1ccca6a5540e  40-memcpy-fix.patch"
-sha512sums="0242c832dcac3d9dc5d434b7f5145e63f2289d5df32f16e1c7afc1e31c3c92f0dd374e20dfef79a9ecb26b14419f42b0d897c7154f249f629c35ee7af0aa5297  freetype-2.6.tar.bz2
-2c1e8c522c94f6db45c63cde610bd2abf95ae913241ebda275d40cda0c0b62a489047749eaefa78fcf25d802ebad442f32f2bbf5629d4fa8ee0c6dbc9f105de9  fontconfig-ultimate-2015-08-01.tar.gz
+sha512sums="269d7a2ba728b4cb79d1d533ce93674bfd483566ab80bc6be0ec24f869cb65ba1fd852fbeff8f045607dd044845ce3d125374faeb14c986761b94dce7d1ff48b  freetype-2.6.2.tar.bz2
+f08c543ef94ee46f22467d95d4f200f031177b56209de5091a3de7f6c9b2ba33edb961a972f2d8ed6958a181c6b845f1ee2dc0122109a8fa9198585645a5dd15  fontconfig-ultimate-2015-11-28.tar.gz
 1553f7f0514238012e300bc8d0b1e260145db17fb56f13e4aa667435e98c3749c00e150caa0e318289b84bca33b9a06a68b8342575e10ac3bf5af3d5cc861537  40-memcpy-fix.patch"
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Nov 29 2015 - 09:36:47 GMT